Skip to main content
PATCH
PATCH samples
In general, samples should be considered an immutable resource, but how they are shared may be updated by changing their visibility and project properties and the tags associated with them may also be changed. All other sample attributes are read-only, and the associated metadata record should be used for storing additional (mutable) structured information about a sample.
Additional authorization checks: Note that PATCHing to update the sample’s visibility triggers additional account- and organization-level checks. For certain accounts (e.g., those in which PII is deposited), it may not be possible to make samples shared or public. Please contact us to discuss setting additional restrictions on sample-sharing for your or your organization’s account. Similarly, users may only add their samples to projects for which they have appropriate project-level permissions.

Authorizations

X-API-Key
string
header
required

Path Parameters

id
string
required

Body

application/json
project
Project · object
tags
object
visibility
enum<string>
default:private

Enum for the v1 API visibility attribute.

Note: this is legacy and only exists for backwards-compatibility in the public v1 API.

Available options:
public,
shared,
private,
importing,
awaiting data

Response

200 - application/json

OK

$uri
string
required
read-only
Pattern: ^/api/v1/samples/[a-f0-9]{16}$
Example:

"/api/v1/samples/0d77065796f8d173"

created_at
string<date-time>
required

Timestamp for when the object was created on the One Codex platform, encoded as a RFC 3339 timestamp.

metadata
metadata · object
required

A metadata object.

owner
users · object
required

The owner of the sample.

primary_classification
classifications · object | null
required

A reference to a Classification for the sample. This will typically be the One Codex Database or Targeted Loci Database results as appropriate. Note that samples will not have a primary_classification while they are still importing or being uploaded.

status
enum<string>
required

Enum for user-facing data status.

This is a subset of DataStatus for the status attribute in the APIs.

Available options:
awaiting_data,
importing,
validating,
failed_validation,
available,
deleted
visibility
enum<string>
required

Enum for the v1 API visibility attribute.

Note: this is legacy and only exists for backwards-compatibility in the public v1 API.

Available options:
public,
shared,
private,
importing,
awaiting data
error_msg
string | null

An error message if the sample failed to upload, import, or validate.

filename
string | null

The sample filename.

project
projects · object

The project the sample belongs to (optional).

size
integer | null

The size of the uploaded file in bytes.

tags
tags · object[]

An (optionally empty) array of references to Tags describing the sample. Tags are an additional unstructured organizational tool that complement Projects and Metadata records.

updated_at
string<date-time> | null

Timestamp for when the object was last updated on the One Codex platform, encoded as a RFC 3339 timestamp.